# Overview

1. **Basic usage examples** demonstrate fundamental usage.
Learn how to perform Hyperparameter Optimization (HPO), Neural Architecture Search (NAS), and Joint Architecture and Hyperparameter Search (JAHS).
Understand how to analyze runs on a basic level, emphasizing that no neural network training is involved at this stage; the search is performed on functions to introduce NePS.

2. **Efficiency examples** showcase how to enhance efficiency in NePS.
Learn about expert priors, multi-fidelity, and parallelization to streamline your pipeline and optimize search processes.

3. **Convenience examples** show tensorboard compatibility and its integration, explore the compatibility with PyTorch Lightning, and understand file management within the run pipeline function used in NePS.

4. **Experimental examples** tailored for NePS contributors.
These examples provide insights and practices for experimental scenarios.

5. **Templates** to find a basic fill-in template to kickstart your hyperparameter search with NePS.
Use this template as a foundation for your projects, saving time and ensuring a structured starting point.

6. **YAML usage examples** to define NePS configurations and search spaces with YAML files, streamlining the setup and execution of experiments.
